Bug 1011199 - [abrt] BUG: unable to handle kernel paging request at 00000000bd80819c [NEEDINFO]
[abrt] BUG: unable to handle kernel paging request at 00000000bd80819c
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:2ef9e6c8d41ec9ddb92b1b6c8ed...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 14:32 EDT by Jacek Krüger
Modified: 2014-03-10 10:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:38:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (79.04 KB, text/plain)
2013-09-23 14:32 EDT, Jacek Krüger
no flags Details
dmesg (79.76 KB, text/plain)
2013-09-23 16:07 EDT, Jacek Krüger
no flags Details

  None (edit)
Description Jacek Krüger 2013-09-23 14:32:09 EDT
Description of problem:
Anaconda crashed while installing the bootloader (EFI entry)

Additional info:
reporter:       libreport-2.1.5
BUG: unable to handle kernel paging request at 00000000bd80819c
IP: [<00000000bd80819c>] 0xbd80819b
PGD 79714067 PUD 0 
Oops: 0010 [#1] SMP 
Modules linked in: xfs btrfs zlib_deflate libcrc32c fcoe libfcoe libfc scsi_transport_fc scsi_tgt iscsi_ibft iscsi_boot_sysfs iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi dm_crypt dm_round_robin dm_multipath raid10 raid456 async_raid6_recov async_memcpy async_pq raid6_pq async_xor xor async_tx raid1 raid0 vfat fat fuse ebtable_nat nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT bnep nf_conntrack_ipv6 nf_defrag_ipv6 bluetooth iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables arc4 ath9k ath9k_common ath9k_hw ath mac80211 uvcvideo snd_hda_codec_hdmi snd_hda_codec_realtek videobuf2_vmalloc videobuf2_memops snd_hda_intel videobuf2_core cfg80211 videodev snd_hda_codec media snd_hwdep snd_seq acpi_cpufreq iTCO_wdt mperf coretemp iTCO_vendor_support snd_seq_device snd_pcm rfkill microcode i2c_i801 joydev lpc_ich snd_page_alloc mfd_core snd_timer snd soundcore uinput isofs squashfs i915 sky2 i2c_algo_bit usb_storage drm_kms_helper drm i2c_core video sunrpc
CPU 0 
Pid: 16356, comm: efibootmgr Not tainted 3.9.5-301.fc19.x86_64 #1 SAMSUNG ELECTRONICS CO., LTD. R530/R730                  /R530/R730                  
RIP: 0010:[<00000000bd80819c>]  [<00000000bd80819c>] 0xbd80819b
RSP: 0018:ffff880041a2bd08  EFLAGS: 00010082
RAX: 0000000080050033 RBX: 0000000000000007 RCX: 0000000000000007
RDX: ffff880041a2bdb8 RSI: 0000000000000007 RDI: 00000000bd80819c
RBP: ffff880041a2bda8 R08: ffff880041a2bdc0 R09: ffff880041a2bdc8
R10: 0000000000000058 R11: 0000000000000004 R12: 0000000000000080
R13: ffff8800a22d0000 R14: 0000000000000010 R15: ffffffff81fbb058
FS:  00007f0547ee1740(0000) GS:ffff8800bc800000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000bd80819c CR3: 0000000041bd2000 CR4: 00000000000407f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process efibootmgr (pid: 16356, threadinfo ffff880041a2a000, task ffff880068619770)
Stack:
 ffffffff810579f6 ffff880041a2bdb0 0000000000200000 00000000000007e4
 0000000000000001 ffff880041a2bda0 0000000080050033 0000000000000000
 0000000000000000 0000000000000000 0000000000000000 000000ff00000000
Call Trace:
 [<ffffffff810579f6>] ? efi_call4+0x46/0x80
 [<ffffffff81057469>] ? virt_efi_query_variable_info+0x49/0x50
 [<ffffffff81057260>] efi_query_variable_store+0x40/0x1b0
 [<ffffffff814f56f8>] ? validate_load_option+0xd8/0xf0
 [<ffffffff814f5620>] ? validate_device_path+0x20/0x20
 [<ffffffff814f7083>] efivar_create+0x1c3/0x320
 [<ffffffff8120fe51>] ? write+0x81/0x180
 [<ffffffff8120fed0>] write+0x100/0x180
 [<ffffffff81199d5f>] vfs_write+0x9f/0x170
 [<ffffffff8119a059>] sys_write+0x49/0xa0
 [<ffffffff810dca56>] ? __audit_syscall_exit+0x1f6/0x2a0
 [<ffffffff8164e799>] system_call_fastpath+0x16/0x1b
Code:  Bad RIP value.
RIP  [<00000000bd80819c>] 0xbd80819b
 RSP <ffff880041a2bd08>
CR2: 00000000bd80819c
Comment 1 Jacek Krüger 2013-09-23 14:32:16 EDT
Created attachment 801853 [details]
File: dmesg
Comment 2 Josh Boyer 2013-09-23 14:47:56 EDT
3.9.5 is rather old at this point.  If you hit this with the F20 Alpha media, please reopen.
Comment 3 Jacek Krüger 2013-09-23 14:58:46 EDT
This might an issue with the BIOS. Windows 7 warned that laptop might not boot after installing but it somehow managed to add an EFI entry and boots correctly:

# efibootmgr
Timeout: 10 seconds
BootOrder: 0000
Boot0000* Windows Boot Manager

The system is Samsung NP-R530-JA06PL with the latest BIOS atm (v. 07JD)
http://www.samsung.com/pl/support/model/NP-R530-JA06PL-techspecs - polish link because apparently model is only sold in Poland but it should be similar to any NP-R530 model.
Comment 4 Jacek Krüger 2013-09-23 16:07:43 EDT
Created attachment 801869 [details]
dmesg

Reproduced on F20-Alpha-RC4
Comment 5 Josh Boyer 2013-09-23 16:46:07 EDT
OK, reopening.  How pleasant.

Matthew, have you heard of any issues with Samsung EFI implementations like this?
Comment 6 Justin M. Forbes 2014-01-03 17:03:16 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 7 Justin M. Forbes 2014-03-10 10:38:32 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.